# Kylin AI Memory Map
## Overview
The "Memory Map" can record user operations and browsing history, and assist users in quickly reviewing the past. With the "memory map", users can complete retrieval tasks that might have taken minutes or even failed to complete in the past, in just a few seconds.
<br>

## Opening Method
### Find Icon
Find the icon of the memory map on the desktop or start menu, and click to open it, as shown in Fig 1.

![Fig 1 Memory map icon-big](image/startmap.png)

### Start Interface
![Fig 2 Memory map Start Screen-big](image/startmemory.png)

As shown in Fig 2, click the "Start Memory" button on the start interface to start memory directly. As the memory data increases, the timeline will become longer and more numerous. You can also search by clicking the search box above or the upper right corner![Fig 3  Memory map menu bar](image/choose.png) menu bar button to select other functions. This interface is only displayed before clicking "Start Memory". After clicking, the memory map will be launched and you will directly enter the main memory interface.

### Open Memory Map
If the memory map already exists in the background, you can right-click the system tray icon in the lower right corner and click the "Open Memory Map" option to open the minimized memory map in the tray, as shown in Fig 4.

![Fig 4 System tray icon function-big](image/trayopenmemorymap.png)
<br>

## Basic Operation
### Main Interface of Memory
Click "Start Memory" to display the memory interface and timeline, as shown in Fig 5.

![Fig 5 Main interface of memory map-big](image/main.png)

If it is the first time to start without data, the timeline will be empty  and there will be no cursor, as shown in Fig 6.

![Fig 6 Memory map null timeline-big](image/nullimage.png)

Click or slide the timeline to view the corresponding operation at that time point, as shown in Fig 7.

![Fig 7 Memory map timeline-big](image/timeline.png)

### Help
Click on the upper right cornermenu bar button and select "Help", as shown in Fig 8.

![Fig 8 Memory map help-big](image/help.png)

Enter the help page to view the usage method and common problem handling methods, as shown in Fig 9.

![Fig 9 Memory map help manual-big](image/help2.png)

### About
Click on the upper right corner! Click the menu bar button and select "About", as shown in Fig 10.

![Fig 10 About button in memory map-big](image/about0.png)

Click the "About" button to view the software version, copyright information, help documentation, etc., as shown in Fig 11.

![Fig 11 Memory map about information-big](image/about.png)

### Exit
Click on the upper right corner menu bar button and select "Exit", as shown in Fig 12.

![Fig 12 Exit button in settings in memory map-big](image/exit0.png)

The exit option dialog box will pop up at this time, and clicking the "X" button in the upper right corner will also bring up this window. By default, it will minimize to the system tray, as shown in Fig 13.

![Fig 13 Exit in settings in memory map-big](image/exit.png)

Select the "Exit Program" option and click "Confirm" to exit the memory map.

Or right-click the system tray icon in the lower right corner and click the "Exit" option, as shown in Fig 14.

![Fig 14 Tray exit-big](image/trayexit.png)

Click to pop up the exit selection box, and select "Exit Program" to exit. The default is to minimize to tray, as shown in Fig 15.

![Fig 15 Tray exit select-big](image/trayexitselect.png)

### Switch Between Start Memorizing And Pause Memory
Right-click on the system tray icon in the lower right corner and select the "Start Memorizing" option to start memory, as shown in Fig 16.

![Fig 16 System tray icon function-big](image/traystartmemory.png)

At this time, right-click the system tray icon in the lower right corner again, and the "Start Memorizing" option will change to the "Pause Memory" option. Click the "Pause Memory" option to stop memory, as shown in Fig 17.

![Fig 17 System tray icon function-big](image/traystopmemory.png)
<br>

## Search Queries for Browsing History
### Search through the Timeline
There is a rough browsing time range, and you can click or swipe the timeline to view the corresponding actions at that time point, as shown in Fig 7.

![Fig 7 Memory map timeline-big](image/timeline.png)

### Search through the Search Box
You can enter the content you want to search in the search box, click the search icon on the right side or press Enter to search for the corresponding operation, as shown in Fig 18.

![Fig 18 Memory map text search-big](image/searchtext.png)
<br>

## Text Search History
Click the search box directly above, enter the content you want to search for, click the magnifying glass search icon on the left or press Enter to search for the corresponding operation, as shown in Fig 18.

![Fig 18 Memory map text search-big](image/searchtext.png)

If you need to search for images based on a text description, you can select Image Recognition on the right, as shown in Figure 19.

![Fig 19 Memory map image search-big](image/searchimage.png)
<br>

## Regional Image OCR Recognition
### Select Area
Use the image below ![Fig 20 Memory map scanning box](image/scan.png) icon, allowing you to select the recognition range size and scan and recognize the text within the selected range. You can copy and paste it into other text files, as shown in Fig 21.

![Fig 21 Memory map scanning image-big](image/ocr1.png)

### Text Recognition
After selecting the recognition range, right-click to select and copy the selected text box, as shown in Fig 22.

![Fig 22 Text recognition of memory map-big](image/ocr2.png)

### Select Copy All
Right click to select all the contents in the text box and then copy them to obtain the information in the text box, as shown in Fig 23.

![Fig 23 Recognition of text in memory map-big](image/ocr3.png)

### Paste Result
The recognition result of the text in the text box has been successfully copied and can be pasted in the desired location, such as a text file, as shown in Fig 24.

![Fig 24 Text recognition of memory map-big](image/ocr4.png)
<br>

## Basic Settings
### Settings
1) Click on the top right corner! Click the menu bar button, select "Settings", and enter the settings interface, as shown in Fig 25.

![Fig 25 Memory map settings-big](image/settings1.png)

Or you can right click the icon in the lower right corner to enter the settings interface,as shown in Fig 26.

![Fig 26 Memory map system tray icon settings-big](image/traysettings.png)

2) Click the "Settings" button to access the settings interface, as shown in Fig 27.

![Fig 27 Memory map settings-big](image/settings2.png)

3) The first two options allow you to choose the function of the "Close Window" button. The "Close Window" button is minimized by default, but you can choose to exit program directly, as shown in Fig 26.

4) The second line allows you to select the limit of the storage data size. There are three storage limits to choose from: 5GB, 10GB, and 15GB, as shown in Fig 28. The higher the limit, the fewer the cleaning times, the longer and more complete the record storage time, and the lower the limit, the faster the loading speed and space saving. The specific size can be set according to your needs and device performance.

![Fig 28 Memory map settings size-big](image/maxsize.png)

### Delete
Click the "Delete All Data" button in the lower left corner of the settings page to clear all data, as shown in Fig 29. This can be used when the device storage space is insufficient.

![Fig 29 Memory map settings delete-big](image/deletealldata.png)
<br>

## Frequently Asked Questions (FAQ)
### Time Confusion
If the system time disorder (e.g., the system time suddenly jumps several days ahead and then corrects itself due to automatic synchronization) affects the Memory Map, a time error prompt will be displayed, as shown in Fig 30.

![Fig 30 Memory map time confusion-big](image/timebeforeerror.png)

At this point, you can choose to delete all data to resolve the issue or manually adjust the time to fix it, as shown in Fig 31.

![Fig 31 Memory map time correction-big](image/timebeforeerror1.png)

### AI Subsystem Not Installed
If the Memory Map is run without the AI subsystem installed, a pop-up warning about the missing AI subsystem will appear after starting memorization, as shown in Fig 32.

![Fig 32 Memory map AI subsystem not installed-big](image/nosubsys0.png)

You can choose to cancel and remain on the blank page, or proceed to the settings page to install the AI subsystem, as shown in Fig 33.

![Fig 33 Fixing missing AI subsystem in memory map-big](image/nosubsys1.png)

### Backup And Restore
When using the backup and restore function, checking the "Retaining User Data" option will preserve the memory map-related data. If the "Retaining User Data" option is unchecked, the memory map data will not be retained.