# 记忆地图
## 概 述
“记忆地图”可以记录用户操作和浏览历史，并协助用户快速回溯历史。通过 “记忆地图”，用户可以在几秒钟内完成过去可能需要几分钟甚至不能完成的回忆检索工作。
<br>

## 打开方式
### 找到图标
在桌面或者开始菜单中找到记忆地图的图标，并点击打开，如图1所示。

![图 1 记忆地图图标-big](image/startmap.png)

### 开始界面
![图 2 记忆地图开始界面-big](image/startmemory.png)

如图2所示，在开始界面点击“开始记忆”按钮即可直接开始记忆，随着记忆数据的增加时间轴会变长变多，还可以通过点击上方搜索框进行搜索或者右上角![图 3  记忆地图菜单栏](image/choose.png)菜单栏按钮进行选择其他功能，此界面只在点击“开始记忆”前显示，点击后启动记忆地图将直接进入记忆主界面。

### 打开记忆地图
如果记忆地图已经存在于后台，则可以右键点击右下角的系统托盘图标，点击“打开记忆地图”选项，即可打开最小化到托盘的记忆地图，如图4所示。

![图 4 系统托盘图标功能-big](image/trayopenmemorymap.png)
<br>

## 基本操作
### 记忆主界面
点击“开始记忆”后出现记忆界面和时间轴，如图5所示。

![图 5 记忆地图主界面-big](image/main.png)

如果是第一次启动没有数据，那时间轴就是空的，没有光标，如图6所示。

![图 6 记忆地图时间轴-big](image/nullimage.png)

点击或滑动时间轴，可以查看该时间点所对应的操作，如图7所示。

![图 7 记忆地图时间轴-big](image/timeline.png)

### 帮 助
点击右上角菜单栏按钮，选择“帮助”，如图8所示。

![图 8 记忆地图帮助-big](image/help.png)

进入帮助页面可以查看使用方法和常见问题的处理方式，如图9所示。

![图 9 记忆地图帮助用户手册-big](image/help2.png)

### 关 于
点击右上角菜单栏按钮，选择“关于”，如图10所示。

![图 10 记忆地图关于按钮-big](image/about0.png)

点击“关于”按钮，可以查看软件版本、版权信息、帮助文档等，如图11所示。

![图 11 记忆地图关于信息-big](image/about.png)

### 退 出
点击右上角菜单栏按钮，选择“退出”，如图12所示。

![图 12 记忆地图设置退出按钮-big](image/exit0.png)

此时弹出退出选项对话框，点击右上角“X”按钮也会弹出此窗口，默认是最小化到系统托盘，如图13所示。

![图 13 记忆地图设置退出-big](image/exit.png)

选择“直接退出”选项，点击“确定”即可退出记忆地图。

或者右键点击右下角的系统托盘图标，点击“退出”选项，图14所示。

![图 14 退出-big](image/trayexit.png)

点击后弹出退出选择框，选择直接退出即可退出，默认是最小化到系统托盘，如图15所示。

![图 15 退出选择框-big](image/trayexitselect.png)

### 开始记忆和停止记忆间的切换
右键点击右下角的系统托盘图标，点击“开始记忆”选项，即可开始记忆，如图16所示。

![图 16 系统托盘图标功能-big](image/traystartmemory.png)

此时再次右键点击右下角的系统托盘图标，”开始记忆”选项变为“停止记忆”选项，点击“停止记忆”选项，即可停止记忆，如图17所示。

![图 17 系统托盘图标功能-big](image/traystopmemory.png)
<br>

## 浏览记录搜索查询
### 通过时间轴查询
有大概的浏览时间范围，可以通过点击或滑动时间轴，可以查看该时间点所对应的操作，如图7所示。

![图 7 记忆地图时间轴-big](image/timeline.png)

### 通过搜索框查询
可以在搜索框中输入需要搜索的内容，点击右侧搜索图标或者按下回车键，即可搜索出对应的操作，如图18所示。

![图 18 记忆地图文本搜索-big](image/searchtext.png)
<br>

## 文本搜索历史记录
点击正上方搜索框，输入需要搜索的内容，点击左侧放大镜搜索图标或者按下回车键，即可搜索出对应的操作，如图18所示。

![图 18 记忆地图文本搜索-big](image/searchtext.png)

如果需要按文本描述搜索图像，可以选择右侧的图像识别，如图19所示。

![图 19 记忆地图描述搜索-big](image/searchimage.png)
<br>

## 区域图片OCR识别
### 选中区域
使用图像下方的![图 20 记忆地图扫描框](image/scan.png)图标，可以选择识别范围大小，对选中范围内的文字进行扫描识别，可以复制粘贴到其他文本文件中，如图21所示。

![图 21 记忆地图扫描图片-big](image/ocr1.png)

### 文本识别
选中识别范围后点击右键对可以对选中的文本框进行选择和复制，如图22所示。

![图 22 记忆地图文本识别-big](image/ocr2.png)

### 全选复制
右键对文本框内容进行全选后再复制，可以获取文本框中的信息，如图23所示。

![图 23 记忆地图文本识别-big](image/ocr3.png)

### 粘贴结果
文本框中文字的识别结果已经复制成功，可以粘贴在需要的地方，比如文本文件等，如图24所示。

![图 24 记忆地图文本识别-big](image/ocr4.png)
<br>

## 基本设置
### 设 置
1) 点击右上角菜单栏按钮，选择“设置”，进入设置界面，如图25所示。

![图 25 记忆地图设置-big](image/settings1.png)

或者可以右键点击右下角图标进入设置界面，如图26所示。

![图 26 记忆地图系统托盘图标设置-big](image/traysettings.png)

2) 点击设置按钮，进入设置界面，如图27所示。

![图 27 记忆地图设置-big](image/settings2.png)

3) 第一行两个选项可以选择“关闭窗口”按钮的功能，“关闭窗口”按钮默认为最小化，可以选择直接退出，如图27所示。

4) 第二行可以选择存储数据大小的上限，共有5GB、10GB、15GB三种存储上限可选，如图28所示。上限越高清理次数越少，记录保存时间越长越完整，上限越低加载速度越快，节省空间，具体大小可以根据您的需求和设备性能进行设置。

![图 28 记忆地图存储空间设置-big](image/maxsize.png)

### 删 除
设置页面左下角“删除所有数据”按钮可以清空所有数据，如图29所示，当设备存储空间不足时可以使用。

![图 29 记忆地图设置删除-big](image/deletealldata.png)
<br>

## 常见问题
### 时间错乱
如果因为某些原因导致的系统时间错乱影响到记忆地图（比如系统时间突然跳转到好几天之后然后又因为自动校准恢复正常），这样记忆地图会提示时间错误，如图30所示。

![图 30 记忆地图时间错误-big](image/timebeforeerror.png)

这时可以选择删除所有数据进行解决，或者手动修改时间进行解决，如图31所示。

![图 31 记忆地图时间错误修复-big](image/timebeforeerror1.png)

### AI子系统未安装
如果未安装AI子系统运行记忆地图，在开始记忆后会弹窗提示未安装AI子系统，如图32所示。

![图 32 记忆地图AI子系统未安装-big](image/nosubsys0.png)

此时可以选择取消留在空页面，或者跳转到设置页面安装AI子系统，如图33所示。

![图 33 记忆地图AI子系统未安装修复-big](image/nosubsys1.png)

### 备份与还原
在使用备份还原功能时，勾选上“保留用户数据”的选项后，可以保留记忆地图的相关数据，不勾选“保留用户数据”的选项则不保留记忆地图的相关数据。